# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate rand

Name:           rust-%{crate}
Version:        0.5.5
Release:        1%{?dist}
Summary:        Random number generators

License:        MIT or ASL-2.0
URL:            https://crates.io/crates/rand
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Exclude python utilities
# * Remove non-unix dependencies
Patch0:         rand-0.5.3-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(log) >= 0.4.0 with crate(log) < 0.5.0)
BuildRequires:  (crate(rand_core) >= 0.2.0 with crate(rand_core) < 0.3.0)
BuildRequires:  (crate(serde) >= 1.0.0 with crate(serde) < 2.0.0)
BuildRequires:  (crate(serde_derive) >= 1.0.0 with crate(serde_derive) < 2.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(bincode) >= 1.0.0 with crate(bincode) < 2.0.0)
%endif

%description
Random number generators and other randomness functionality.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Random number generators and other randomness functionality.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/appveyor.yml

%changelog
* Wed Aug 08 2018 Josh Stone <jistone@redhat.com> - 0.5.5-1
- Update to 0.5.5

* Fri Jul 13 2018 Josh Stone <jistone@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Thu Jul 05 2018 Josh Stone <jistone@redhat.com> - 0.5.3-2
- Fix the python2 exclusion

* Sat Jun 30 2018 Josh Stone <jistone@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Tue Feb 20 2018 Josh Stone <jistone@redhat.com> - 0.4.2-4
- Exclude python2 utilities

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-2
- Rebuild for rust-packaging v5

* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Tue Nov 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.18-1
- Update to 0.3.18

* Fri Oct 27 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.17-1
- Update to 0.3.17

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-3
- Port to use rust-packaging

* Fri Feb 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-2
- Use rich dependencies

* Sun Feb 12 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-1
- Initial package
